gnutls_ecc_curve_list(3)

NAME
gnutls_ecc_curve_list - API function

SYNOPSIS
#include <gnutls/gnutls.h>

const gnutls_ecc_curve_t * gnutls_ecc_curve_list( void);

ARGUMENTS

void

DESCRIPTION
Get the list of supported elliptic curves. This function is not thread safe.

RETURNS
Return a (0)-terminated list of gnutls_ecc_curve_t integers indicating the available curves.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/